export const flexbox = ({ size, theme, }) => {
    if (!size) {
        return;
    }
    const { breakpoints } = theme;
    const res = {
        flexBasis: '100%',
    };
    if (!Array.isArray(size)) {
        res['@media screen and (min-width: 64em)'] = {
            flexBasis: `${100 * size}%`,
        };
        return res;
    }
    for (let i = 0; i < size.length; i++) {
        if (breakpoints.length < i) {
            break;
        }
        const query = `@media screen and (min-width: ${breakpoints[i]})`;
        res[query] = {
            flexBasis: `${100 * size[i]}%`,
        };
    }
    return res;
};
const alignable = (isRow) => ({ verticalAlign, centered, }) => {
    const s = {
        justifyContent: undefined,
        alignItems: undefined,
    };
    if (verticalAlign) {
        s[isRow ? 'alignItems' : 'justifyContent'] = verticalAlign;
    }
    if (centered) {
        s[!isRow ? 'alignItems' : 'justifyContent'] = 'center';
    }
    return s;
};
export const alignRow = alignable(true);
export const alignColumn = alignable();
