import styled from 'styled-components';

import defaultTheme from '../../theme';
import { paddable, flexbox, alignColumn, alignRow } from '../../utils';

export interface FlexColumnProps {
  type?: 'row' | 'column';
  centered?: boolean;
  verticalAlign?: 'start' | 'center' | 'end';
  padded?: boolean;
  size?: number | number[];
}

export const Box = styled.div<FlexColumnProps>(
  {
    display: 'flex',
    padding: '0.5em',
  },
  (props) => ({
    flexFlow: `${props.type} wrap`,
    ...(props.type === 'column' ? alignColumn(props) : alignRow(props)),
  }),
  flexbox,
  paddable,
);

Box.defaultProps = {
  theme: defaultTheme,
  type: 'column',
};
