import { CSSObject, DefaultTheme } from 'styled-components';

import { HiroColors } from '../types';

export const text = <T extends { color?: HiroColors; theme: DefaultTheme }>({
  color,
  theme,
}: T): CSSObject | null =>
  color
    ? {
        color: theme.colors[color].default,
      }
    : null;

export const colourable = <
  T extends { color?: HiroColors; theme: DefaultTheme }
>({
  color,
  theme,
}: T): CSSObject =>
  color
    ? {
        backgroundColor: theme.colors[color].default,
        color: 'white',
      }
    : {
        backgroundColor: theme.colors.primary.default,
        color: 'white',
      };

export const secondary = <
  T extends { color?: HiroColors; secondary?: boolean; theme: DefaultTheme }
>({
  theme,
  secondary,
  color,
}: T) => {
  const colour = theme.colors[color || 'primary'];

  return (
    secondary && {
      border: `1px solid ${colour.default}`,
      backgroundColor: 'transparent',
      color: colour.active,
    }
  );
};
